      subroutine savsol(n,a,b,obj,sa,sb,sobj)
      implicit none
c     ------------------------------------------------------------------
c     savsol:  Copy solution a,b,obj into structures sa,sb,sobj.
c     ------------------------------------------------------------------
c     Passed scalars:
c
c     n      - problem dimension
c     obj    - objective function value
c     sobj   - saved objective function value
c
c     ------------------------------------------------------------------
      integer n,obj,sobj
c     ------------------------------------------------------------------
c     Passed arrays:
c
c     a    - permutation array
c     b    - permutation array
c     sa   - saved array of permutation of a
c     sb   - saved array of permutation of b
c
c     ------------------------------------------------------------------
      integer a(n),b(n),sa(n),sb(n)
c     ------------------------------------------------------------------
c     Local scalar:
c
c     i      - loop index
c
c     ------------------------------------------------------------------
      integer i
c     ------------------------------------------------------------------
      sobj=obj

      do 10 i=1,n
	   sa(i)=a(i)
	   sb(i)=b(i)
10    continue

      return
      end
