      subroutine srtcst(n3,c,srtc,srtic,posind)
     
      implicit none
c     ------------------------------------------------------------------
c     srtcst:  Sorts costs in increasing order.
c     ------------------------------------------------------------------
c     Passed scalars:
c     
c     n3     - n*n*n
c     
c     ------------------------------------------------------------------
      integer n3
c     ------------------------------------------------------------------
c     Passed arrays:
c     
c     srtc   - sorted cost matrix (values)
c     srtic  - sorted cost matrix (indices)
c     c      - cost matrix
c     posind - index of original array elements in the sorted  array
c             
c     ------------------------------------------------------------------
      integer  srtc(n3),srtic(n3),c(n3),posind(n3)
c     ------------------------------------------------------------------
c     Local scalars: 
c     
c     index  - index
c     sizec  - number of elements in cost heap
c     i      - do loop index
c     
c     ------------------------------------------------------------------
      integer i
c     ------------------------------------------------------------------
c     Initialize cardinality of sorted sets of elements of srtc
c     ------------------------------------------------------------------
      
      do 10 i=1,n3
	srtc(i)=c(i)
	srtic(i)=i
10    continue
      call qcksrt(n3,srtc,srtic)

 
      do 20 i=1,n3
        posind(srtic(i))=i 
20    continue

c     ------------------------------------------------------------------
      return
      end
